Manually release stream flow from logger

- « SeasLog::analyzerDetail

- SeasLog::__construct »

- PHP Manual
- SeasLog
- Manually release stream flow from logger

# SeasLog::closeLoggerStream

(PECL seaslog >=1.8.6)

SeasLog::closeLoggerStream — Manually release stream flow from logger

### Description

public static SeasLog::closeLoggerStream(int `$model`, string `$logger`): bool

Manually release stream flow from logger. SeasLog caches the stream handle opened by the log logger to save the overhead of creating a stream. The handle will be automatically released at the end of the request. If in CLI mode, the process will also automatically release when it exits. Or you can use the following functions to manually release(manually release function needs to update SeasLog 1.8.6 or updated version).

### Parameters

`model`

  Constant int.

  - SEASLOG_CLOSE_LOGGER_STREAM_MOD_ALL
  - SEASLOG_CLOSE_LOGGER_STREAM_MOD_ASSIGN
`logger`

  The logger name.

### Return Values

Return TRUE on released stream flow success, FALSE on failure.

### Examples

Example #1 SeasLog::closeLoggerStream() example

    <?php

    var_dump(SeasLog::closeLoggerStream());
    var_dump(SeasLog::closeLoggerStream(SEASLOG_CLOSE_LOGGER_STREAM_MOD_ALL));
    var_dump(SeasLog::closeLoggerStream(SEASLOG_CLOSE_LOGGER_STREAM_MOD_ASSIGN, 'logger_name'));

    ?>

The above example will output something similar to:

    bool(true)
    bool(true)
    bool(true)

### See Also

- SeasLog::setLogger() - Set SeasLog logger name
- SeasLog::getLastLogger() - Get SeasLog last logger path